Page MenuHomePhabricator

Build high level timeseries view of key metrics [8 pts] {lion}
Closed, ResolvedPublic

Description

Notes from James

Important metrics, with real-life caveats, as graphed:

  • Bounce Rate: out of all "normal" ready states, how many are not followed by attempt, intent, success, or failure?
  • Save Failure Rate: out of all "normal" attempt states, how many are not successes?
  • Save Success Rate: out of all "normal" attempt states, how many are followed by successes?
  • Save Not Attempted Rate: out of all "normal" ready states, how many are not followed by an attempt to save?
  • investigate difference in ptwiki vs. plwiki (or other pairs that are wildly differing on core metrics above)
    • look at network connection quality, use location info (generic if specific not possible)
  • comparisons to wikitext editor
    • rates + funnel
  • do not care about timing information this quarter
  • under starburst, list main paths through funnel graph with numbers / percentages
    • init-ready-intent-attempt-success
    • init-ready-abort
  • how does failure type correlate to eventual success
  • look into init-ready-end and double check those are aborts and not some other silly problem

Event Timeline

kevinator raised the priority of this task from to Normal.
kevinator updated the task description. (Show Details)
kevinator added a subscriber: kevinator.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2015, 12:22 AM
Milimetric renamed this task from Build high level timeseries view of key metrics (save / ready rate) to Build high level timeseries view of key metrics.Feb 10 2015, 8:34 PM
Milimetric claimed this task.
Milimetric updated the task description. (Show Details)
Milimetric set Security to None.
kevinator renamed this task from Build high level timeseries view of key metrics to Build high level timeseries view of key metrics [8pts] {bear}.Feb 12 2015, 4:10 PM
Milimetric updated the task description. (Show Details)Feb 12 2015, 10:48 PM
kevinator renamed this task from Build high level timeseries view of key metrics [8pts] {bear} to Build high level timeseries view of key metrics [8 pts] {bear}.Feb 17 2015, 10:33 PM
kevinator renamed this task from Build high level timeseries view of key metrics [8 pts] {bear} to Build high level timeseries view of key metrics [8 pts] {lion}.Feb 19 2015, 2:09 AM
kevinator closed this task as Resolved.Feb 19 2015, 3:08 PM

code reviewed and merged.